<?php

namespace AppBundle\Repository;

use AppBundle\Entity\Group\Group as Group;

/**
 * MailRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */


class MailRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryAll(Group $group = null)
    {
        $qb = $this->createQueryBuilder('m');
        if($group) {
            $qb
                ->where('m.group = :group')
                ->setParameter("group", $group->getId());
        }
        $qb->addOrderBy('m.createdAt', 'DESC');
        return $qb;
    }
}